cgGetStateValidateCallback(3)

NAME
cgGetStateValidateCallback - get the state validation callback function for a state

SYNOPSIS
  #include <Cg/cg.h>
  CGstatecallback cgGetStateValidateCallback( CGstate state );

PARAMETERS

state
    The state from which to retrieve the callback.

RETURN VALUES
Returns a pointer to the state validateting callback function.

Returns NULL if state is not a valid state or if it has no callback.

DESCRIPTION
cgGetStateValidateCallback returns the callback function used for validating the state when the given state is encountered in a pass in a technique. See the cgSetStateCallbacks manpage and the cgCallStateValidateCallback manpage for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

HISTORY
cgGetStateValidateCallback was introduced in Cg 1.4.

SEE ALSO
the cgSetStateCallbacks manpage, the cgCallStateValidateCallback manpage, the cgValidateTechnique manpage, the cgValidatePassState manpage